# Uses of Enum Class
org.springframework.beans.factory.config.YamlProcessor.MatchStatus

Packages that use YamlProcessor.MatchStatus
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.

## Uses of YamlProcessor.MatchStatus in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return YamlProcessor.MatchStatus
Modifier and Type
Method
Description
`static YamlProcessor.MatchStatus`
YamlProcessor.MatchStatus.`getMostSpecific(YamlProcessor.MatchStatus a, YamlProcessor.MatchStatus b)`
Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.
`YamlProcessor.MatchStatus`
YamlProcessor.DocumentMatcher.`matches(Properties properties)`
Test if the given properties match.
`static YamlProcessor.MatchStatus`
YamlProcessor.MatchStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static YamlProcessor.MatchStatus[]`
YamlProcessor.MatchStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.beans.factory.config with parameters of type YamlProcessor.MatchStatus
Modifier and Type
Method
Description
`static YamlProcessor.MatchStatus`
YamlProcessor.MatchStatus.`getMostSpecific(YamlProcessor.MatchStatus a, YamlProcessor.MatchStatus b)`
Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.